OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Can Anyone Open These Files In Xpdf?, xpdf errors and segmentation fault
Jon_J
post Apr 22 2007, 04:57 AM
Post #1





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



I have 3 PDF files from TUX magazine that work fine in Cacko with qpdf2 and picsel browser.
I attached them below. Can anyone open these in xpdf?
When I try to open any one of these in xpdf_3.02_2, the program opens for a second, then just closes.
Running xpdf in a console spits out the below errors.
CODE
/home/root # xpdf
Warning: Cannot convert string "-*-helvetica-medium-r-normal--12-*-*-*-*-*-iso8859-1" to type FontStruct
Warning: Cannot convert string "-*-courier-medium-r-normal--12-*-*-*-*-*-iso8859-1" to type FontStruct
Warning: Cannot convert string "-*-times-bold-i-normal--20-*-*-*-*-*-iso8859-1" to type FontStruct
Warning: Cannot convert string "-*-times-medium-r-normal--16-*-*-*-*-*-iso8859-1" to type FontStruct
Then When I opened "Tux_Paint.pdf", I get the following errors.
CODE
Error: may not be a PDF file (continuing anyway)
Error: Couldn't find trailer dictionary
Error: Couldn't read xref table
Segmentation fault

Attached File(s)
Attached File  Samba_for_Windows_File_Sharing.pdf ( 212.94K ) Number of downloads: 14
Attached File  Inkscape_Intro.pdf ( 507.5K ) Number of downloads: 15
Attached File  Tux_Paint.pdf ( 1.23MB ) Number of downloads: 12
 
Go to the top of the page
 
+Quote Post
Jon_J
post Apr 23 2007, 05:13 PM
Post #2





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



Got a new router today. Linksys WRT54G
I wanted to read the user guide (WRT54Gv8-ug.pdf) on my Zaurus, but as with many PDF files, xpdf just quits when selecting my user guide.
Do I have to rely on my Cacko Zaurus for reading PDF files?
Again, qpdf2 and picsel browser opened this PDF file. I would attach it here, but it's 13MB
Why doesn't xpdf read many of the PDF files that I have?
Go to the top of the page
 
+Quote Post
Capn_Fish
post Apr 23 2007, 05:59 PM
Post #3





Group: Members
Posts: 2,350
Joined: 30-July 06
Member No.: 10,575



Have you tried Evince or EPDF?

I didn't want to bother with the deps, but there was a thread where people posted positive experiences with Evince.
Go to the top of the page
 
+Quote Post
Jon_J
post Apr 23 2007, 06:39 PM
Post #4





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



Thank you Capn_Fish, I tried epdf with the 3 files in my first post.
They all segfaulted, so I uninstalled it. I'm going to try evince next.
Otherwise it's back to Cacko for PDF reading...
Tried 2 different versions of poppler.
poppler_0.5.1_armv5tel.ipk
poppler_0.5.4-hmc-1_armv5tel.ipk
(I uninstalled the first one before trying the second one)
Launching evince in a console has missing library: libpoppler-glib.so.0

This post has been edited by Jon_J: Apr 23 2007, 07:49 PM
Go to the top of the page
 
+Quote Post
Meanie
post Apr 24 2007, 02:19 AM
Post #5





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



opens without any problems for me
Attached File(s)
Attached File  screencap1.png ( 56.67K ) Number of downloads: 37
 
Go to the top of the page
 
+Quote Post
Jon_J
post Apr 24 2007, 07:34 AM
Post #6





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



OK, the "Tux_Paint.pdf" segfaults, but the "Samba_for_Windows_File_Sharing.pdf" gives this error in the console and xpdf is blank
CODE
Error: May not be a PDF file (continuing anyway)
Error: Couldn't find trailer dictionary
Error: Couldn't read xref table

Linksys router guide "WRT54Gv8-ug.pdf" gives this error
CODE
Error: may not be a PDF file (continuing anyway)
Error: Couldn't find trailer dictionary
Error: Couldn't read xref table
Segmentation fault
Go to the top of the page
 
+Quote Post
Meanie
post Apr 24 2007, 03:56 PM
Post #7





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(Jon_J @ Apr 25 2007, 01:34 AM)
OK, the "Tux_Paint.pdf" segfaults, but the "Samba_for_Windows_File_Sharing.pdf" gives this error in the console and xpdf is blank
CODE
Error: May not be a PDF file (continuing anyway)
Error: Couldn't find trailer dictionary
Error: Couldn't read xref table

Linksys router guide "WRT54Gv8-ug.pdf" gives this error
CODE
Error: may not be a PDF file (continuing anyway)
Error: Couldn't find trailer dictionary
Error: Couldn't read xref table
Segmentation fault

*



did you install the latest package and its dependencies?
Go to the top of the page
 
+Quote Post
Jon_J
post Apr 24 2007, 04:19 PM
Post #8





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



Thank you for your reply meanie. smile.gif
I installed the one in this post in new packages announcements.
http://www.oesf.org/forums/index.php?showt...ndpost&p=158580
xpdf_3.02-2_armv5tel.ipk
I didn't think it had any dependencies that I didn't already have installed in pdaxii13-akita, since xpdf was already included in pdaxii13-akita.
I looked in the feed and the only depends listed for xpdf_3.02-2_armv5tel.ipk is "lesstif"
I have lesstif_0.93.94 installed. I'm not sure if I installed this version of lesstif, or if it came with pdaxii13-akita. I have pdaxii13-akita upgraded to 5.3.4
Go to the top of the page
 
+Quote Post
Meanie
post Apr 25 2007, 06:02 AM
Post #9





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(Jon_J @ Apr 25 2007, 10:19 AM)
Thank you for your reply meanie. smile.gif
I installed the one in this post in new packages announcements.
http://www.oesf.org/forums/index.php?showt...ndpost&p=158580
xpdf_3.02-2_armv5tel.ipk
I didn't think it had any dependencies that I didn't already have installed in pdaxii13-akita, since xpdf was already included in pdaxii13-akita.
I looked in the feed and the only depends listed for xpdf_3.02-2_armv5tel.ipk is "lesstif"
I have lesstif_0.93.94 installed. I'm not sure if I installed this version of lesstif, or if it came with pdaxii13-akita. I have pdaxii13-akita upgraded to 5.3.4
*



hmm, there is a missing dependency! you need freetype2 as well...
Go to the top of the page
 
+Quote Post
Jon_J
post Apr 25 2007, 06:52 AM
Post #10





Group: Members
Posts: 1,843
Joined: 31-December 05
From: Illinois USA
Member No.: 8,821



Thanks again meanie, I have freetype 2.1.9 installed.
Is this the same as freetype2 ?
I looked in the feed and freetype 2.1.10 is listed
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 31st July 2014 - 01:41 PM